org.apache.solr.response.transform

## Class RenameFieldTransformer

- java.lang.Object
- - org.apache.solr.response.transform.DocTransformer
  - - org.apache.solr.response.transform.RenameFieldTransformer

-     public class RenameFieldTransformer
      extends DocTransformer

  Return a field with a name that is different that what is indexed
  Since:
    solr 4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.response.transform.DocTransformer

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenameFieldTransformer(String from, String to, boolean copy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `void` | `transform(SolrDocument doc, int docid, float score)` This is where implementations do the actual work.

    - ### Methods inherited from class org.apache.solr.response.transform.DocTransformer

      `getExtraRequestFields, needsSolrIndexSearcher, setContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenameFieldTransformer

          public RenameFieldTransformer(String from,
                                        String to,
                                        boolean copy)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `DocTransformer`
      Returns:
        The name of the transformer

    - #### transform

          public void transform(SolrDocument doc,
                                int docid,
                                float score)

      Description copied from class: `DocTransformer`
      This is where implementations do the actual work. If implementations require a valid docId and index access, the `DocTransformer.needsSolrIndexSearcher()` method must return true
      Specified by:
        `transform` in class `DocTransformer`
      Parameters:
        `doc` - The document to alter
        `docid` - The Lucene internal doc id, or -1 in cases where the `doc` did not come from the index
        `score` - the score for this document
      See Also:
        `DocTransformer.needsSolrIndexSearcher()`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.